> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/trlink/update-customer",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Update customer

> Updates an existing customer's information. All fields are optional - only provided fields will be updated.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml put /screening/trlink/customers/{customerId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/trlink/customers/{customerId}:
    put:
      tags:
        - TRLink
      summary: Update customer
      description: >-
        Updates an existing customer's information. All fields are optional -
        only provided fields will be updated.
      operationId: updateTRLinkCustomer
      parameters:
        - name: customerId
          in: path
          required: true
          description: Customer unique identifier
          example: 550e8400-e29b-41d4-a716-446655440001
          schema:
            type: string
            format: uuid
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TRLinkUpdateCustomerRequest'
      responses:
        '200':
          description: Customer updated successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRLinkCustomerResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<TRLinkCustomerResponse>>
            =
            fireblocks.tRLink.updateTRLinkCustomer(tRLinkApiUpdateTRLinkCustomerRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TRLinkCustomerResponse>> response =
            fireblocks.tRLink().updateTRLinkCustomer(tRLinkUpdateCustomerRequest,
            customerId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.t_r_link.update_t_r_link_customer(t_r_link_update_customer_request,
            customer_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    TRLinkUpdateCustomerRequest:
      type: object
      properties:
        discoverable:
          $ref: '#/components/schemas/TRLinkDiscoverableStatus'
        shortName:
          type: string
          nullable: true
          description: Short display name
          example: Acme Corporation
        fullLegalName:
          type: string
          nullable: true
          description: Full legal entity name
          example: Acme Corporation Ltd.
        geographicAddress:
          $ref: '#/components/schemas/TRLinkGeographicAddressRequest'
        countryOfRegistration:
          type: string
          nullable: true
          description: ISO 3166-1 alpha-2 country code where the entity is registered
          example: US
        nationalIdentification:
          type: string
          nullable: true
          description: National identification as JSON string
          example: >-
            {"nationalIdentifierType":"LEIXG","nationalIdentifier":"5493001KJTIIGC8Y1R12","countryOfIssue":"US"}
        dateOfIncorporation:
          type: string
          format: date
          nullable: true
          description: 'Date of entity incorporation (ISO 8601 format: YYYY-MM-DD)'
          example: '2015-03-15'
        vaults:
          type: array
          items:
            type: integer
          nullable: true
          description: Associated Fireblocks vault account IDs
          example:
            - 0
            - 1
            - 2
            - 3
        trPrimaryPurpose:
          type: string
          nullable: true
          description: Primary purpose for Travel Rule compliance
          example: 'Updated: Virtual asset service provider and exchange'
    TRLinkCustomerResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Customer unique identifier
          example: 550e8400-e29b-41d4-a716-446655440001
        tenantId:
          type: string
          format: uuid
          description: Fireblocks tenant ID
          example: 550e8400-e29b-41d4-a716-446655440003
        discoverable:
          $ref: '#/components/schemas/TRLinkDiscoverableStatus'
        shortName:
          type: string
          description: Short display name
          example: Acme Corp
        fullLegalName:
          type: string
          description: Full legal entity name
          example: Acme Corporation Ltd.
        geographicAddress:
          $ref: '#/components/schemas/TRLinkGeographicAddressRequest'
        countryOfRegistration:
          type: string
          description: ISO 3166-1 alpha-2 country code where the entity is registered
          example: US
        nationalIdentification:
          type: string
          nullable: true
          description: National identification (serialized as string)
          example: >-
            {"nationalIdentifierType":"LEIXG","nationalIdentifier":"5493001KJTIIGC8Y1R12","countryOfIssue":"US"}
        dateOfIncorporation:
          type: string
          format: date
          nullable: true
          description: Date of entity incorporation (ISO 8601 format)
          example: '2015-03-15'
        vaults:
          type: array
          items:
            type: integer
          nullable: true
          description: Associated Fireblocks vault account IDs
          example:
            - 0
            - 1
            - 2
        trPrimaryPurpose:
          type: string
          nullable: true
          description: Primary purpose for Travel Rule compliance
          example: Virtual asset service provider
        createDate:
          type: string
          format: date-time
          description: Timestamp when the customer was created (ISO 8601 format)
          example: '2025-01-20T10:30:00.000Z'
        lastUpdate:
          type: string
          format: date-time
          description: Timestamp when the customer was last updated (ISO 8601 format)
          example: '2025-01-24T08:45:00.000Z'
      required:
        - id
        - tenantId
        - discoverable
        - shortName
        - fullLegalName
        - countryOfRegistration
        - createDate
        - lastUpdate
    TRLinkDiscoverableStatus:
      type: string
      nullable: true
      description: Customer discoverability status in the Travel Rule network
      enum:
        - anonymous
        - hidden
        - discoverable
      example: discoverable
    TRLinkGeographicAddressRequest:
      type: object
      nullable: true
      description: Geographic address following IVMS101 standard
      properties:
        addressLine:
          type: array
          items:
            type: string
            maxLength: 70
          maxItems: 3
          nullable: true
          description: Address lines (max 3, each up to 70 characters)
          example:
            - Suite 100
        streetName:
          type: string
          maxLength: 70
          nullable: true
          description: Street name (required if buildingNumber is provided)
          example: Main Street
        buildingNumber:
          type: string
          maxLength: 255
          nullable: true
          description: Building number
          example: '123'
        floor:
          type: string
          maxLength: 70
          nullable: true
          description: Floor number
          example: '5'
        postBox:
          type: string
          maxLength: 16
          nullable: true
          description: Post box number
          example: PO Box 456
        postCode:
          type: string
          maxLength: 16
          nullable: true
          description: Postal code (required if townName is provided)
          example: '10001'
        townName:
          type: string
          maxLength: 35
          nullable: true
          description: City or town name (required if postCode is provided)
          example: New York
        districtName:
          type: string
          maxLength: 35
          nullable: true
          description: District name
          example: Manhattan
        countrySubDivision:
          type: string
          maxLength: 35
          nullable: true
          description: State or province (validated against country)
          example: NY
        country:
          type: string
          nullable: true
          description: >-
            ISO 3166-1 alpha-2 country code (required if town, district, or
            sub-division provided)
          example: US
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````